Multistream PlatformsUpdate Platform

Update Platform

Update the platform of a delayed stream

curl -X POST "https://api.5centscdn.com/v2/streams/timeshift/1001/platform/1" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY" \
  -d '{
  "platform": {
    "name": "My Platform",
    "rtmp": "rtmp://a.rtmp.youtube.com/live2",
    "key": "5t1d-hvka-50ga-7dj0-38h0",
    "auth": "N",
    "username": "myusername",
    "password": "mypassword",
    "schedule": "instant",
    "scheduleontime": "08:00:00",
    "length": "01:00:00",
    "transcodetype": "hd",
    "vprofiles": [
      1
    ],
    "aprofiles": [
      1
    ],
    "filters": [
      1
    ]
  }
}'
{
  "result": "success",
  "message": "Stream Updated",
  "stream": "null"
}
POST
/streams/timeshift/{streamid}/platform/{platformid}
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key (sent in header)

Content-Typestring
Required

The media type of the request body

Options: application/json
Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. Provide your API key in the header.

Path Parameters

streamidstring
Required

Stream ID

Example:
1001
platformidstring
Required

Platform ID

Example:
1

Body

application/json
platformobject

Responses

resultstring

Status of the API response.

messagestring

Human-readable message describing the result.

streamstring